Severity: High % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Hello. | purchased a non-Steam copy of the game on https://gog.com a while ago (The KSP site was having issues at the time and |
couldn't buy the game from you directly). Anyway, | downloaded the 1.1.0 update earlier, and some of the Ul changes seem to be
broken. | can't change any settings from within the game, nor can | load any saves (even ones that | make in the new version of the
game, but the files are still created so, I'm sure it's just an issue with the display code). | can, however, change the settings in the
launcher, just not within the actual game.

| run the game with no mods and version 1.0.5 worked just fine. | also run Gentoo Linux 64-bit with a Radeon 6970 GPU with
up-to-date drivers.

Looking at KSP.log reveals that some sort of script is missing, but it doesn't provide any names, so I'm unable to try fixing the
problem on my own or provide more information. Here are the relevant logs from the last time | tried to start KSP 1.1.0:
[LOG 03:48:27.090] Loading Systems: Elapsed time is 47.78819s

[WRN 03:48:27.206] The referenced script on this Behaviour is missing!

[WRN 03:48:27.206] The referenced script on this Behaviour is missing!

[LOG 03:48:28.150] UIMasterController: HideUI

[LOG 03:48:28.366] Agent: Found 18 agent mentality types

[LOG 03:48:28.369] AgentList: 27 agents parsed and loaded.

[LOG 03:48:28.370] UIMasterController: HideUI

[LOG 03:48:28.965] [CelestialBody]: Kerbin's solar day length is 1d, Oh, Om long. sidereal day length is 5h, 59m, 9s long
[LOG 03:48:29.240] UIMasterController: HideUI

[WRN 03:48:29.244] [HighLogic]: Scene Change : From LOADING to MAINMENU

[LOG 03:48:30.710] UIMasterController: ShowUI

[WRN 03:48:31.520] [ApplicationLauncher] Awake False

[LOG 03:48:31.522] [ApplicationLauncher] SpawnSimpleLayout: VerticalTopDown

[WRN 03:48:31.537] [UiApp] Awake: MessageSystem

[LOG 03:48:31.630] [UIApp] Adding MessageSystem to Application Launcher

[LOG 03:48:31.635] [ApplicationLauncher] SetHidden:

[LOG 03:48:31.672] [MessageSystem] OnApplnitialized

[LOG 03:48:31.673] [MessageSystem] Reposition 0.09705788 2543

[LOG 03:50:40.803] UIMasterController: HideUI

[WRN 03:50:40.804] [HighLogic]: Scene Change : From MAINMENU to SETTINGS

[WRN 083:50:40.824] The referenced script on this Behaviour is missing!

[LOG 03:50:40.975] UlCanvasPrefabSpawner SettingsSpawner spawning Settings

[LOG 03:50:41.082] UIMasterController: ShowUI

[ERR 03:50:41.461] SettingControl 'Show Version Number in Game': Cannot find GameSetting field named
'SHOW_VERSION_NUMBER'

[LOG 03:50:41.507] [ApplicationLauncher] OnSceneLoadedGUIReady: scene SETTINGS ShouldBeVisible() False
ShouldBeOnTop() False ilsPositionedAtTop True

[LOG 03:50:43.115] UIMasterController: HideUI

[WRN 083:50:43.117] [HighLogic]: Scene Change : From SETTINGS to MAINMENU

[LOG 03:50:44.422] UIMasterController: ShowUI
[LOG 03:50:44.724] [ApplicationLauncher] OnSceneLoadedGUIReady: scene MAINMENU ShouldBeVisible() True
ShouldBeOnTop() True ilsPositionedAtTop True
[LOG 03:50:44.796] [MessageSystem] Reposition 0.02 10358
[LOG 03:50:47.412] [UIApp] OnDestroy: MessageSystem

History

#1 - 04/25/2016 06:56 AM - sal_vager

- Status changed from New to Need More Info

Hi MisterDood, it is possible one of your saves is corrupted, please try moving all the folders in saves to a safe location except scenarios and training,
move the current settings.cfg also so KSP generates a new one.

"The referenced script on this Behaviour is missing!" is an unrelated issue, and is harmless.

#2 - 04/25/2016 10:44 AM - Anonymous
- File segfaults.zip added

#3 - 05/17/2016 12:05 AM - Anonymous
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

#4 - 06/11/2016 07:44 AM - Ruedii

MisterDood wrote:

Sorry. The GPU is a Radeon 7970

For cross-reference purposes, the HD7970 is an earlier revision of the R9 280, so | have pretty much the same card except mine has the newer
voltage controller hardware, improved board layout and other minor "insubstantial" improvements of the R9 280 revision. About the only thing these
improvements do is increase the life span, reliability and over-clocking capabilities of the card. They have virtually zero impact on normal
performance.

Do you have driver versions, your distro release and any non-standard libs we should know about.
#5 - 07/18/2016 10:40 AM - TriggerAu

- Status changed from Updated to Needs Clarification
- % Done changed from 10 to 0

Setting this to needs clarification as per the bug cleanup underway:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker

Would be great to hear feedback on this from 1.1.3 and info re bug. Thanks

#6 - 07/20/2018 06:52 AM - Anonymous

- File deleted (screen shots.zip)

#7 - 07/20/2018 06:52 AM - Anonymous
- File deleted (segfaults.zip)

#8 - 07/20/2018 06:52 AM - Anonymous
- Subject changed from Can't load "Settings", "Resume Saved", "Training", or "Scenarios" menus because "The referenced script on this Behaviour is

missing!" to h

#9 - 07/29/2019 11:07 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#10 - 07/29/2019 11:07 PM - chris.fulton

- Status changed from Resolved to Closed

Closed in efforts of database cleanup.
